GNU bug report logs - #54750
(gnu packages racket) assumes that (ice-9 exceptions) exist, breaks pulling from old Guix

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Michael Chirillo <michael.a.chirillo@HIDDEN>; merged with #54546; dated Wed, 6 Apr 2022 14:33:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to '(gnu packages racket) assumes that (ice-9 exceptions) exist, breaks pulling from old Guix' from 'compute-guix-derivation failing' Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54750 <at> debbugs.gnu.org:


Received: (at 54750) by debbugs.gnu.org; 8 Apr 2022 19:16:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 15:16:23 2022
Received: from localhost ([127.0.0.1]:35992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncu5n-0004zR-0n
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2022 15:16:23 -0400
Received: from mail-lj1-f177.google.com ([209.85.208.177]:37438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.a.chirillo@HIDDEN>) id 1nctwu-0004lJ-R1
 for 54750 <at> debbugs.gnu.org; Fri, 08 Apr 2022 15:07:13 -0400
Received: by mail-lj1-f177.google.com with SMTP id bx37so12666177ljb.4
 for <54750 <at> debbugs.gnu.org>; Fri, 08 Apr 2022 12:07:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=dxtXWzmXzau7XGEmq53o0APGaHMnPTQ5CaivUkvENJU=;
 b=aU4jUbzKG95ZYyIDIKm2GlkY6D4dndSmgOLt5iwK/W1QVowTXQgP8orenHhb9EWIVM
 PUIUyWi4754taBfbIL3lxv+oktL1MinqZRG7kCCuNjnFd7yA7Mp+kUIjRJ9Rc84sn54Y
 cujXQMfQQTVCMANPl3uUVK/aOTpEUJ5bZBtEa5ZOlwyjmdxzETd4meHhETK4ankZ3ubW
 Wzby92IZG3nqHpzdhDL9lzBJEMB2CtfNqXYX8IdQCjDZe6J8jjnC3IhsDSGHtGYoF1Tq
 uB/EHg60C2qN8Ufl9HeJl6KKnKO3JKzWA5+d+bfGfGupIiK2ReDfzLDpmrLIEILy06LL
 BS+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=dxtXWzmXzau7XGEmq53o0APGaHMnPTQ5CaivUkvENJU=;
 b=jBVryKga3izWbo40CmG0lSs8qlv2L1iMyPmj59646n7UsS7Lk+At1Pks90tq41hyNO
 o0eDZ/sO6Uj5jBfTGlVxTUIarPf20KuNMZXkjt4XC9FYh1xrd6LKCV6hRBUGzoC/jRlK
 loV8gCwZ+yPwTimJxVq0rkjYepu926cnatCAMb9Csp9gqOvSZxlCrof9N629OBhTv+hf
 EHPv1/oFdY/y0ATaRgw+CnVXkbFnvbcVKXmA2WhNjd+YMHQR24A783uCWcrCGILcmC9Y
 oiGb4nQAj6AUlkAS4nHTYmSBzhwC0niFrKZKayDJj04MjOdYw0nBsyvBuO7kFLAhydzW
 1BeQ==
X-Gm-Message-State: AOAM530+56zZCnLr5EUbl+MdEdI6ghjIF8e1UATae7IkHHVEuJ0TLsbU
 33MQJnSxbt2bx5nIcFZqB6d94hpPfaWQlJXL+Qk=
X-Google-Smtp-Source: ABdhPJyXLmRIQuNha9YmOI6bN79fDwJazeo4AhnbuVq3KVD9airn94xOm3gQuWxMU/mAPBGUV2vWzeuAUdDjlf+6fW4=
X-Received: by 2002:a2e:2c0f:0:b0:24b:852:36df with SMTP id
 s15-20020a2e2c0f000000b0024b085236dfmr12550035ljs.392.1649444826369; Fri, 08
 Apr 2022 12:07:06 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
 <9a15d9277cb6999b4d8c6bcca4186d99b05648c5.camel@HIDDEN>
In-Reply-To: <9a15d9277cb6999b4d8c6bcca4186d99b05648c5.camel@HIDDEN>
From: Michael Chirillo <michael.a.chirillo@HIDDEN>
Date: Fri, 8 Apr 2022 21:06:55 +0200
Message-ID: <CAJ_Tw4W6QnbbrCGev5vo2LErBsmsL5qoVPihG=f7sooxm9qz5Q@HIDDEN>
Subject: Re: bug#54750: compute-guix-derivation failing
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f3d18c05dc294c8e"
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 54750
X-Mailman-Approved-At: Fri, 08 Apr 2022 15:16:21 -0400
Cc: 54750 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f3d18c05dc294c8e
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Mostly because I=E2=80=99m a Linux novice and am slowly learning :)

Il giorno ven 8 apr 2022 alle 12:27 Maxime Devos <maximedevos@HIDDEN>
ha scritto:

> Michael Chirillo schreef op wo 06-04-2022 om 12:54 [+0200]:
> > /mnt/c/Tools/WSL/guix # guix pull
>
> (unrelated to the error) Why is root's guix updated instead of the
> regular user's Guix?
>
> Greeetings,
> Maxime.
>
--=20
*Michael Chirillo, MD, PhD*
*michael.a.chirillo@HIDDEN <michael.a.chirillo@HIDDEN>*

--000000000000f3d18c05dc294c8e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Mostly because I=E2=80=99m a Linux novice and am slowly l=
earning :)</div><div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">Il giorno ven 8 apr 2022 alle 12:27 Maxime Devos &lt;<a hre=
f=3D"mailto:maximedevos@HIDDEN">maximedevos@HIDDEN</a>&gt; ha scrit=
to:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px =
0.8ex;border-left-width:1px;border-left-style:solid;padding-left:1ex;border=
-left-color:rgb(204,204,204)">Michael Chirillo schreef op wo 06-04-2022 om =
12:54 [+0200]:<br>
&gt; /mnt/c/Tools/WSL/guix # guix pull<br>
<br>
(unrelated to the error) Why is root&#39;s guix updated instead of the<br>
regular user&#39;s Guix?<br>
<br>
Greeetings,<br>
Maxime.<br>
</blockquote></div></div>-- <br><div dir=3D"ltr" class=3D"gmail_signature" =
data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><b><font color=3D"#6666=
66">Michael Chirillo, MD, PhD</font></b><div><b><font color=3D"#666666"><a =
href=3D"mailto:michael.a.chirillo@HIDDEN" target=3D"_blank">michael.a.ch=
irillo@HIDDEN</a></font></b></div></div></div>

--000000000000f3d18c05dc294c8e--




Information forwarded to bug-guix@HIDDEN:
bug#54750; Package guix. Full text available.
Merged 54546 54750. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54750 <at> debbugs.gnu.org:


Received: (at 54750) by debbugs.gnu.org; 8 Apr 2022 10:27:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 06:27:21 2022
Received: from localhost ([127.0.0.1]:34016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nclpo-0005AV-Vo
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2022 06:27:21 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50148)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nclpn-0005AM-Uv
 for 54750 <at> debbugs.gnu.org; Fri, 08 Apr 2022 06:27:20 -0400
Received: from [192.168.174.254] ([188.189.131.219])
 by michel.telenet-ops.be with bizsmtp
 id GATJ2700B4kACEs06ATJq5; Fri, 08 Apr 2022 12:27:18 +0200
Message-ID: <9a15d9277cb6999b4d8c6bcca4186d99b05648c5.camel@HIDDEN>
Subject: Re: bug#54750: compute-guix-derivation failing
From: Maxime Devos <maximedevos@HIDDEN>
To: Michael Chirillo <michael.a.chirillo@HIDDEN>, 54750 <at> debbugs.gnu.org
Date: Fri, 08 Apr 2022 12:27:18 +0200
In-Reply-To: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
References: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-qkmnaOTnA8OHjUQXmg8d"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649413638; bh=wO99A1YpwEVeMK6JwkP3WcI/aP4ag96Wc9QxDWBzfVs=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=e68L9Gtw9JI89y5C8ElX3esJXy10RxQmsMPDkVgLREW2DXK37Qrd5K2nGPbH3FQxx
 o89x+rPg4dbHnoI+RwEZMdy2RVhNa/MwGwlFaCc9OtDY9o/TCc1kBMj0FbH8gXXcDd
 yMe8b1bkNTdcCE1td4gbaCHxPGlvjAj1KlhVlluahurJi/lINyULlbp7gXACNa34u/
 ZiEKtOVc7T36n2ohsLQxdtu8oVU0C/vyJCaLyhsgdKr2MyUXwEUG65T8zJW7yZGxeO
 azGyfN2Sak9aHkwMNOzvc6R+xmiBc3qv3Ul/0YhXkVSTlUFn15WPyv5Gbd0iK0xI20
 SwTfo1WyIhtWQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54750
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-qkmnaOTnA8OHjUQXmg8d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Michael Chirillo schreef op wo 06-04-2022 om 12:54 [+0200]:
> /mnt/c/Tools/WSL/guix # guix pull

(unrelated to the error) Why is root's guix updated instead of the
regular user's Guix?

Greeetings,
Maxime.

--=-qkmnaOTnA8OHjUQXmg8d
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlAOBhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7i3zAP9pOpak9YTYxlUyfLKzbpaPDnXD
zJX0bZXX632nm3edsAD+LWzXQGfAcP3jOEqGvvb5+V/OCMjanmEo1+PTsktPqgI=
=4C0R
-----END PGP SIGNATURE-----

--=-qkmnaOTnA8OHjUQXmg8d--





Information forwarded to bug-guix@HIDDEN:
bug#54750; Package guix. Full text available.

Message received at 54750 <at> debbugs.gnu.org:


Received: (at 54750) by debbugs.gnu.org; 8 Apr 2022 10:26:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 06:26:28 2022
Received: from localhost ([127.0.0.1]:34011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncloy-00056f-HZ
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2022 06:26:28 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:39820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nclow-00056W-Hm
 for 54750 <at> debbugs.gnu.org; Fri, 08 Apr 2022 06:26:26 -0400
Received: from [192.168.174.254] ([188.189.131.219])
 by albert.telenet-ops.be with bizsmtp
 id GASR2700G4kACEs06ASRc0; Fri, 08 Apr 2022 12:26:25 +0200
Message-ID: <29184be45a231b7e8623b970d5e29676633f8611.camel@HIDDEN>
Subject: Re: bug#54750: compute-guix-derivation failing
From: Maxime Devos <maximedevos@HIDDEN>
To: Michael Chirillo <michael.a.chirillo@HIDDEN>, 54750 <at> debbugs.gnu.org
Date: Fri, 08 Apr 2022 12:26:25 +0200
In-Reply-To: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
References: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-RkhCdn5TePknHi3MrCHM"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649413585; bh=2X5dm1efJcF4upVfj4pD12fR0xAxFcNnPr4OByE1hGw=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=OOQHg/6QQcn504g9nkAi3VJintLVdd27aQM7HIk3TKXBn5xQyty5DwQ6uvjxFrTlf
 518UhE803fG7g5TzSKETmePD9XvbWjWBuPa3MJx7wjaVImHgsPMWPzlau9e1geOqCq
 3wT1mn5/TSTqmbwMtMFJ0cRcqmpNff7/Qs/8SAawmZMkk9Jr+J1idikS1ZsVxMHdaB
 nEZOtJFUqzA4zZdYGAuXaWxzrSgXPHaaz2h0moF1uvkXeu1KBmW0/TBrm0xx/VdCaN
 JCs7zzn+8Nj8AdzIWKtl7HOzddz0X2JHlucxdcQYlM3SJpqg9ovlh3W2m6tPjzOh1p
 MGfO9MyYncNtw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54750
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-RkhCdn5TePknHi3MrCHM
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Michael Chirillo schreef op wo 06-04-2022 om 12:54 [+0200]:
> I'm following these instructions
> (https://gist.github.com/giuliano108/49ec5bd0a9339db98535bc793ceb5ab4
> ) to get guix up and running in WSL2 on Windows 11.

Those instructions are old (for Guix 1.1.0), use the updates version on
top of the file instead
<https://github.com/giuliano108/guix-packages/blob/master/notes/Guix-on-WSL=
2.md>.

Greetings,
Maxime.

--=-RkhCdn5TePknHi3MrCHM
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlAN0RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7twbAQDKxwyRa0lY5Ar+ZLeSKq9B4Lfk
H4c1KN+7JA2/sGmS5QEAhoN0wXCnHDseeRqmc2D5bO/YWAuhBb+pN7nvJUG4CAU=
=ZtkT
-----END PGP SIGNATURE-----

--=-RkhCdn5TePknHi3MrCHM--





Information forwarded to bug-guix@HIDDEN:
bug#54750; Package guix. Full text available.

Message received at 54750 <at> debbugs.gnu.org:


Received: (at 54750) by debbugs.gnu.org; 8 Apr 2022 10:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 06:23:44 2022
Received: from localhost ([127.0.0.1]:33996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nclmJ-0004s2-T1
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2022 06:23:44 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:35326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nclmH-0004rr-As
 for 54750 <at> debbugs.gnu.org; Fri, 08 Apr 2022 06:23:42 -0400
Received: from [192.168.174.254] ([188.189.131.219])
 by albert.telenet-ops.be with bizsmtp
 id GAPe2700d4kACEs06APf1L; Fri, 08 Apr 2022 12:23:39 +0200
Message-ID: <fc837c0c9439741d01d6487c52e98a24ce05f110.camel@HIDDEN>
Subject: Re: bug#54750: compute-guix-derivation failing
From: Maxime Devos <maximedevos@HIDDEN>
To: Michael Chirillo <michael.a.chirillo@HIDDEN>, 54750 <at> debbugs.gnu.org
Date: Fri, 08 Apr 2022 12:23:31 +0200
In-Reply-To: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
References: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-XW7kkYglHnwe8VqSBd63"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649413419; bh=+6fbXzpR+Gp7LBD0Ley+myKKwUNHvPvCxw1ZNCFJksc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=BDI7vvxvkVHaNHeasIy4H9S/GTzJy60v6jNirLeJgm5bTOoLePnRWOaWRnHeSkR52
 Zm7xrcJrkSq7I/W+KNSK7FmJ+ed8gvWGiIv5T7F9fuyz4R6VUA4YwFfNSZ01PrPKeT
 deKMhgpUGr5AjJcrguj484rDMUW9auzDS+KWyqNOBfptNF0jW8uqrQXesX6BUE3MOC
 lKJ8tuQHMAYkOOLj8lTBYCoU0Qq89RZqYxUcn9TlW7dkWrjIm+VMi4XoC3tnQQjEHJ
 eVrhr6oWLGVHf0SaC7ajq7IfqGC8WPJQ/0mJMCS6CD01fqaQmgeA4HjeUPDNQgPlP0
 NuY52E6KqP9aA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54750
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-XW7kkYglHnwe8VqSBd63
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

merge 54750 54546
reopen 54546
thanks

Michael Chirillo schreef op wo 06-04-2022 om 12:54 [+0200]:
> =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A00 (scm-error misc-error #f "~A ~=
S" ("no code for module"
> (ice-9 exceptions)) #f)

Looks like a duplicate of <https://issues.guix.gnu.org/54546>.

An alternative fix would be to autoload (ice-9 exceptions) instead of
#:use-module.

Greetings,
Maxime.

--=-XW7kkYglHnwe8VqSBd63
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlANIxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qnxAP47qdomejQ7ZIiyXyRBfTz2wogc
u/sQCRxDzY0mTia/AQD/c/hS745FmbV3Ez3rv19QzItfr+MDLffe5yuhcp3BIAM=
=1Y7Q
-----END PGP SIGNATURE-----

--=-XW7kkYglHnwe8VqSBd63--





Information forwarded to bug-guix@HIDDEN:
bug#54750; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Apr 2022 14:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 06 10:32:15 2022
Received: from localhost ([127.0.0.1]:58913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nc6hi-0003bC-Jz
	for submit <at> debbugs.gnu.org; Wed, 06 Apr 2022 10:32:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:34684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.a.chirillo@HIDDEN>) id 1nc3J5-0001d4-EH
 for submit <at> debbugs.gnu.org; Wed, 06 Apr 2022 06:54:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60604)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.a.chirillo@HIDDEN>)
 id 1nc3J5-0007ZE-3u
 for bug-guix@HIDDEN; Wed, 06 Apr 2022 06:54:35 -0400
Received: from mail-lf1-x130.google.com ([2a00:1450:4864:20::130]:38531)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <michael.a.chirillo@HIDDEN>)
 id 1nc3J2-0002Hl-TA
 for bug-guix@HIDDEN; Wed, 06 Apr 2022 06:54:34 -0400
Received: by mail-lf1-x130.google.com with SMTP id b21so3400719lfb.5
 for <bug-guix@HIDDEN>; Wed, 06 Apr 2022 03:54:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=Ng0ZVdb70ajmwjjRikJJPClA72p5BSemXNrQQTQs/ss=;
 b=MYhG+RqUGOqhtMhAbSQGdJbfHDeoe7tmaeCBCnVQvLd457/MGzFGBHCNxSAJxt8TgA
 sMzmJPWRWvxZZkgNabGt0L68GXD5ZaxeFeM3bfKOGhwqfN/KKAhYmVTh9hFmE9ZB5gmk
 +ts89NFn/Ro08+waHxGKXlpMhL2UFtUJwiwc3mM/FzZMOxpTHERBmtkqqOaT9kNi1jmy
 P/avHc/INMp8vQyMx5o37M+jE1ejaTWRrpkuIGe7p2feu8zBU1AvVBlhlx4A5Qa8j4Or
 EauFT7JD49v+9UPP+tqxy/MBy1YfAHfwe5L8qDY970m0zqkD2O9g9vlRxB9bfMfHN1mQ
 qIEg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Ng0ZVdb70ajmwjjRikJJPClA72p5BSemXNrQQTQs/ss=;
 b=EJWvs4l4h0L25aXetlw7x0cIIw+WnUXUrb5J2jzLC/MNI2p4h3a6e7HzdgDPjhv/tT
 ANuy8Pp6f60y4PgdFmUK7uLPkXYVXYwZT9MXVA/r8il1iLdH+knfryq/iZtsFvhMnUpn
 pmCvU0BF/kYeMRVYmuZM3Plsa70ZyzI2p9hS6Czi2V7kJii6V36qtzz12JoOLiF2EnXu
 OZ8wSg/VY64rm5VltjTvkBQ7lWVRt6zXfyBMF4kK2RfeIPFny7um3tzagaHjPwe/4+WZ
 WTmyR2fZCCvZPOO92TYkBvAp/9eZ+ooRQZMUjaFZj72AtwZZjV8G3crJMayGeYQttgy8
 4a1Q==
X-Gm-Message-State: AOAM5302HT0YnoXRzmSBaPI6zDYKgw1lecJJiK1owTV5h7LSftKRI0gy
 94ZcB3D6nr0ItFJTDlSkdvHysxNr4UuMhQNB6oLZBu0hARc=
X-Google-Smtp-Source: ABdhPJzl47ulrBcAHgz12oJoLLbC9cw6Qyf00gKvRqxV5U7/tShyxVUcjjBW/USy0hdMzvnaMUy5i1YjXATlPIy16S0=
X-Received: by 2002:a05:6512:3054:b0:44b:4bb:3441 with SMTP id
 b20-20020a056512305400b0044b04bb3441mr5585114lfb.57.1649242469911; Wed, 06
 Apr 2022 03:54:29 -0700 (PDT)
MIME-Version: 1.0
From: Michael Chirillo <michael.a.chirillo@HIDDEN>
Date: Wed, 6 Apr 2022 12:54:18 +0200
Message-ID: <CAJ_Tw4U2_b2=zmgzg9vZ2eHtq587p5g5exZ4mAX9inCStHa-bA@HIDDEN>
Subject: compute-guix-derivation failing
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000914da205dbfa2f6d"
Received-SPF: pass client-ip=2a00:1450:4864:20::130;
 envelope-from=michael.a.chirillo@HIDDEN; helo=mail-lf1-x130.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 06 Apr 2022 10:32:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000914da205dbfa2f6d
Content-Type: text/plain; charset="UTF-8"

Hello,

I'm following these instructions (
https://gist.github.com/giuliano108/49ec5bd0a9339db98535bc793ceb5ab4) to
get guix up and running in WSL2 on Windows 11.

Everything worked until guix pull at which point I get the following error:































*/mnt/c/Tools/WSL/guix # guix pullaccepted connection from pid 736, user
rootUpdating channel 'guix' from Git repository at
'https://git.savannah.gnu.org/git/guix.git'.
<https://git.savannah.gnu.org/git/guix.git'.>..Building from this channel:
guix      https://git.savannah.gnu.org/git/guix.git
<https://git.savannah.gnu.org/git/guix.git>   e3e3381Computing Guix
derivation for 'x86_64-linux'... -Backtrace:In ice-9/eval.scm:   721:20 19
(primitive-eval (define-module (gnu packages racket) #:use-module (guix
packages) #:use-module (# #) # ?))In ice-9/psyntax.scm:  1262:36 18
(expand-top-sequence ((define-module (gnu packages racket) #:use-module
(guix packages) #:use-module ?)) ?)  1209:24 17 (parse _ (("placeholder"
placeholder)) ((top) #(ribcage () () ())) _ e (eval) (hygiene #{ g317}#))
 285:10 16 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval)
(hygiene #{ g317}#))In ice-9/eval.scm:   293:34 15 (_ #<module (#{ g317}#)
7f39b712db40>)In ice-9/boot-9.scm:   2874:4 14 (define-module* _ #:filename
_ #:pure _ #:version _ #:imports _ #:exports _ #:replacements _ # _ # _ # _
?)  2887:24 13 (_)   222:29 12 (map1 (((guix packages)) ((guix download))
((guix git-download)) ((guix utils)) ((guix gexp)) ((# ?)) ?))   222:29 11
(map1 (((guix download)) ((guix git-download)) ((guix utils)) ((guix gexp))
((guix build-system #)) # ?))   222:29 10 (map1 (((guix git-download))
((guix utils)) ((guix gexp)) ((guix build-system copy)) ((guix # gnu)) #
?))   222:29  9 (map1 (((guix utils)) ((guix gexp)) ((guix build-system
copy)) ((guix build-system gnu)) ((srfi #)) # ?))   222:29  8 (map1 (((guix
gexp)) ((guix build-system copy)) ((guix build-system gnu)) ((srfi srfi-1))
((srfi #)) # ?))   222:29  7 (map1 (((guix build-system copy)) ((guix
build-system gnu)) ((srfi srfi-1)) ((srfi srfi-26)) ((# #)) # ?))   222:29
 6 (map1 (((guix build-system gnu)) ((srfi srfi-1)) ((srfi srfi-26))
((ice-9 match)) ((ice-9 #)) ((# #)) ?))   222:29  5 (map1 (((srfi srfi-1))
((srfi srfi-26)) ((ice-9 match)) ((ice-9 exceptions)) ((gnu packages)) ((#
?)) ?))   222:29  4 (map1 (((srfi srfi-26)) ((ice-9 match)) ((ice-9
exceptions)) ((gnu packages)) ((gnu packages #)) ((?)) ?))   222:29  3
(map1 (((ice-9 match)) ((ice-9 exceptions)) ((gnu packages)) ((gnu packages
autotools)) ((gnu # #)) # ?))   222:17  2 (map1 (((ice-9 exceptions)) ((gnu
packages)) ((gnu packages autotools)) ((gnu packages bash)) ((# ?)) ?))
 2803:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ #:renamer _
#:version _)In unknown file:           0 (scm-error misc-error #f "~A ~S"
("no code for module" (ice-9 exceptions)) #f)*






*ERROR: In procedure scm-error:no code for module (ice-9 exceptions)guix
pull: error: You found a bug: the program
'/gnu/store/a8v174c0kfh91wgbyr34ghb7lisdbcm7-compute-guix-derivation'failed
to compute the derivation for Guix (version:
"e3e3381fdbc56f351063d9b4a49e99645b20d7d3"; system: "x86_64-linux";host
version: "1.1.0"; pull-version: 1).Please report the COMPLETE output above
by email to <bug-guix@HIDDEN <bug-guix@HIDDEN>>.*

I'm sending the bug report to you. Any assistance would be appreciated.
Thank you!

-- 
*Michael Chirillo, MD, PhD*
*michael.a.chirillo@HIDDEN <michael.a.chirillo@HIDDEN>*

--000000000000914da205dbfa2f6d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hello,<div><br></div><div>I&#39;m following these instruct=
ions (<a href=3D"https://gist.github.com/giuliano108/49ec5bd0a9339db98535bc=
793ceb5ab4">https://gist.github.com/giuliano108/49ec5bd0a9339db98535bc793ce=
b5ab4</a>) to get guix up and running in WSL2 on Windows 11.</div><div><br>=
</div><div>Everything worked until guix pull at which point I get the follo=
wing error:</div><div><br></div><div><b>/mnt/c/Tools/WSL/guix # guix pull<b=
r>accepted connection from pid 736, user root<br>Updating channel &#39;guix=
&#39; from Git repository at &#39;<a href=3D"https://git.savannah.gnu.org/g=
it/guix.git&#39;.">https://git.savannah.gnu.org/git/guix.git&#39;.</a>..<br=
>Building from this channel:<br>=C2=A0 guix =C2=A0 =C2=A0 =C2=A0<a href=3D"=
https://git.savannah.gnu.org/git/guix.git">https://git.savannah.gnu.org/git=
/guix.git</a> =C2=A0 e3e3381<br>Computing Guix derivation for &#39;x86_64-l=
inux&#39;... -Backtrace:<br>In ice-9/eval.scm:<br>=C2=A0 =C2=A0721:20 19 (p=
rimitive-eval (define-module (gnu packages racket) #:use-module (guix packa=
ges) #:use-module (# #) # ?))<br>In ice-9/psyntax.scm:<br>=C2=A0 1262:36 18=
 (expand-top-sequence ((define-module (gnu packages racket) #:use-module (g=
uix packages) #:use-module ?)) ?)<br>=C2=A0 1209:24 17 (parse _ ((&quot;pla=
ceholder&quot; placeholder)) ((top) #(ribcage () () ())) _ e (eval) (hygien=
e #{ g317}#))<br>=C2=A0 =C2=A0285:10 16 (parse _ ((&quot;placeholder&quot; =
placeholder)) (()) _ c&amp;e (eval) (hygiene #{ g317}#))<br>In ice-9/eval.s=
cm:<br>=C2=A0 =C2=A0293:34 15 (_ #&lt;module (#{ g317}#) 7f39b712db40&gt;)<=
br>In ice-9/boot-9.scm:<br>=C2=A0 =C2=A02874:4 14 (define-module* _ #:filen=
ame _ #:pure _ #:version _ #:imports _ #:exports _ #:replacements _ # _ # _=
 # _ ?)<br>=C2=A0 2887:24 13 (_)<br>=C2=A0 =C2=A0222:29 12 (map1 (((guix pa=
ckages)) ((guix download)) ((guix git-download)) ((guix utils)) ((guix gexp=
)) ((# ?)) ?))<br>=C2=A0 =C2=A0222:29 11 (map1 (((guix download)) ((guix gi=
t-download)) ((guix utils)) ((guix gexp)) ((guix build-system #)) # ?))<br>=
=C2=A0 =C2=A0222:29 10 (map1 (((guix git-download)) ((guix utils)) ((guix g=
exp)) ((guix build-system copy)) ((guix # gnu)) # ?))<br>=C2=A0 =C2=A0222:2=
9 =C2=A09 (map1 (((guix utils)) ((guix gexp)) ((guix build-system copy)) ((=
guix build-system gnu)) ((srfi #)) # ?))<br>=C2=A0 =C2=A0222:29 =C2=A08 (ma=
p1 (((guix gexp)) ((guix build-system copy)) ((guix build-system gnu)) ((sr=
fi srfi-1)) ((srfi #)) # ?))<br>=C2=A0 =C2=A0222:29 =C2=A07 (map1 (((guix b=
uild-system copy)) ((guix build-system gnu)) ((srfi srfi-1)) ((srfi srfi-26=
)) ((# #)) # ?))<br>=C2=A0 =C2=A0222:29 =C2=A06 (map1 (((guix build-system =
gnu)) ((srfi srfi-1)) ((srfi srfi-26)) ((ice-9 match)) ((ice-9 #)) ((# #)) =
?))<br>=C2=A0 =C2=A0222:29 =C2=A05 (map1 (((srfi srfi-1)) ((srfi srfi-26)) =
((ice-9 match)) ((ice-9 exceptions)) ((gnu packages)) ((# ?)) ?))<br>=C2=A0=
 =C2=A0222:29 =C2=A04 (map1 (((srfi srfi-26)) ((ice-9 match)) ((ice-9 excep=
tions)) ((gnu packages)) ((gnu packages #)) ((?)) ?))<br>=C2=A0 =C2=A0222:2=
9 =C2=A03 (map1 (((ice-9 match)) ((ice-9 exceptions)) ((gnu packages)) ((gn=
u packages autotools)) ((gnu # #)) # ?))<br>=C2=A0 =C2=A0222:17 =C2=A02 (ma=
p1 (((ice-9 exceptions)) ((gnu packages)) ((gnu packages autotools)) ((gnu =
packages bash)) ((# ?)) ?))<br>=C2=A0 =C2=A02803:6 =C2=A01 (resolve-interfa=
ce _ #:select _ #:hide _ #:prefix _ #:renamer _ #:version _)<br>In unknown =
file:<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A00 (scm-error misc-error #=
f &quot;~A ~S&quot; (&quot;no code for module&quot; (ice-9 exceptions)) #f)=
</b><br><br><b>ERROR: In procedure scm-error:<br>no code for module (ice-9 =
exceptions)<br>guix pull: error: You found a bug: the program &#39;/gnu/sto=
re/a8v174c0kfh91wgbyr34ghb7lisdbcm7-compute-guix-derivation&#39;<br>failed =
to compute the derivation for Guix (version: &quot;e3e3381fdbc56f351063d9b4=
a49e99645b20d7d3&quot;; system: &quot;x86_64-linux&quot;;<br>host version: =
&quot;1.1.0&quot;; pull-version: 1).<br>Please report the COMPLETE output a=
bove by email to &lt;<a href=3D"mailto:bug-guix@HIDDEN">bug-guix@HIDDEN</=
a>&gt;.</b><br clear=3D"all"><div><br></div><div>I&#39;m sending the bug re=
port to you. Any assistance would be appreciated. Thank you!</div><div><br>=
</div>-- <br><div dir=3D"ltr" class=3D"gmail_signature" data-smartmail=3D"g=
mail_signature"><div dir=3D"ltr"><b><font color=3D"#666666">Michael Chirill=
o, MD, PhD</font></b><div><b><font color=3D"#666666"><a href=3D"mailto:mich=
ael.a.chirillo@HIDDEN" target=3D"_blank">michael.a.chirillo@HIDDEN</a=
></font></b></div></div></div></div></div>

--000000000000914da205dbfa2f6d--




Acknowledgement sent to Michael Chirillo <michael.a.chirillo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54750; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 16 Apr 2022 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.